CREATE_BBT(9)

NAME
create_bbt - [GENERIC] Create a bad block table by scanning the device

SYNOPSIS

int create_bbt(struct mtd_info * mtd, uint8_t * buf, struct nand_bbt_descr * bd, int chip);

ARGUMENTS

mtd
    MTD device structure

buf
    temporary buffer

bd
    descriptor for the good/bad block search pattern

chip
    create the table for a specific chip, -1 read all chips; applies only if NAND_BBT_PERCHIP option is set

DESCRIPTION

Create a bad block table by scanning the device for the given good/bad block identify pattern.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT